# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define fedora 19
%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif

Name:		writetype
Version:	1.2.130
Release:	alt1_10
Summary:	Light word processor
Group:		Editors
License:	GPLv3+
URL:		http://writetype.bernsteinforpresident.com/
Source0:	http://bernsteinforpresident.com/programs/%{name}_%{version}.tar.gz
Patch0:		fixed_the_path_in_binary-executive_file_writetype.patch
Patch1:		quick_solution_for_no_sound_problem_tts-festival.patch

BuildArch:	noarch
BuildRequires:	python-devel
BuildRequires:	python-module-setuptools desktop-file-utils

Requires:	festival
Source44: import.info

%description
WriteType is a free  (and open source) program that helps 
younger students experience success in writing. It is designed 
especially for schools to transform technology from a barrier 
into an opportunity for success.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .fix
%patch1 -p1 -b .fix
%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}
# Handling desktop file
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
# Remove shebang
sed -i -e '/^#!\//, 1d' %{buildroot}%{python_sitelibdir_noarch}/%{name}/espeakInterface.py
sed -i -e '/^#!\//, 1d' %{buildroot}%{python_sitelibdir_noarch}/%{name}/listWidget.py
sed -i -e '/^#!\//, 1d' %{buildroot}%{python_sitelibdir_noarch}/%{name}/ttsInterface.py
sed -i -e '/^#!\//, 1d' %{buildroot}%{python_sitelibdir_noarch}/%{name}/festivalInterface.py
sed -i -e '/^#!\//, 1d' %{buildroot}%{python_sitelibdir_noarch}/%{name}/pyttsxInterface.py
sed -i -e '/^#!\//, 1d' %{buildroot}%{python_sitelibdir_noarch}/%{name}/main.py
# Delete zero length file
find %{buildroot}%{_datadir}/%{name} -size 0 -delete

#%%files -f %%{name}.lang
%files
%doc README COPYING
%{python_sitelibdir_noarch}/%{name}
%{python_sitelibdir_noarch}/WriteType-%{version}-py?.?.egg-info
%{_bindir}/%{name}
%{_datadir}/%{name}
%attr(0644,root,root) %{_datadir}/applications/%{name}.desktop


%changelog
* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.130-alt1_10
- initial fc import

